package org.dejava.component.security.crypt.constant;

/**
 * Constants related to the credential hasher parameters keys.
 */
public final class CredentialHasherParamKeys {

	/**
	 * The algorithm prime parameter key.
	 */
	public static final String ALG_PRIME = "algorithm prime";

	/**
	 * The cycle prime parameter key.
	 */
	public static final String CYCLE_PRIME = "cycle prime";

	/**
	 * The credential parameter key.
	 */
	public static final String CREDENTIALS = "credential";

	/**
	 * The salt parameter key.
	 * 
	 */
	public static final String SALT = "salt";

	/**
	 * Private constructor.
	 */
	private CredentialHasherParamKeys() {
	}
}
