package org.dejava.component.reflection.constant;

/**
 * Constants related to the class mirror parameters keys.
 */
public final class ClassParamKeys {

	/**
	 * The reflected class parameter key.
	 */
	public static final String CLASS = "reflected class";

	/**
	 * The class name parameter key.
	 */
	public static final String CLASS_NAME = "class name";
	
	/**
	 * The class depth parameter key.
	 */
	public static final String CLASS_DEPTH = "class depth";

	/**
	 * The field name parameter key.
	 */
	public static final String FIELD_NAME = "field name";

	/**
	 * The field name path parameter key.
	 */
	public static final String FIELD_NAME_PATH = "field name path";

	/**
	 * The method name parameter key.
	 */
	public static final String METHOD_NAME = "method name";

	/**
	 * The annotation class parameter key.
	 */
	public static final String ANNOTATION_CLASS = "annotation class";

	/**
	 * Private constructor.
	 */
	private ClassParamKeys() {
	}
}
